<?php
class PakSMSSenderAdministration
{
	function print_option_page()
	{
		if ( !current_user_can( 'manage_options' ) )  {
			wp_die( __( 'You do not have sufficient permissions to access this page.' ) );
		}
		print '<div class="wrap">';
		print '<h2>Free SMS Sender to Pakistan</h2>';
		screen_icon();
		print '<form method="post" action="options.php">';
		settings_fields('paksmssenderog');
		do_settings_fields('paksmssenderog', 'pak-sms-sender-settings');
		?>
			<table class="form-table">
			<tr valign="top">
			<th scope="row">API Key</th>
			<td><input type="text" size="38" name="pak_sms_sender_apikey" value="<?php echo get_option('pak_sms_sender_apikey'); ?>" /></td>
			</tr>
			
			<tr valign="top">
			<td></td>
			<td><i>To get an API Key send email to <b>'support@codeproblem.com'</b> with details of domain where you want to integrate this plugin.</i></td>
			</tr>
			 
			<tr valign="top">
			<th scope="row">Only Registered members can send SMS</th>
			<?php 
			$register_send = get_option('pak_sms_sender_registered_send',true);
			$is_checked = "";
			if($register_send == true)
			{
				$is_checked = "checked";
			}
			?>
			<td><input type="checkbox" name="pak_sms_sender_registered_send" value="paksmsrs" <?php print $is_checked;?>/></td>
			</tr>
			
			<tr valign="top">
			<th scope="row">Maximum SMS Length</th>
			<td>
			<select name="pak_sms_sender_max_length">
			<?php
				$sms_length = get_option('pak_sms_sender_max_length',400);
				$valid_lengths = array(100,200,300,400,500,600);
				for($i=0;$i<count($valid_lengths);$i++)
				{
					if($sms_length == $valid_lengths[$i])
					{
						print "<option value=\"".$valid_lengths[$i]."\" selected=\"selected\">".$valid_lengths[$i]."</option>";
					}
					else
					{
						print "<option value=\"".$valid_lengths[$i]."\">".$valid_lengths[$i]."</option>";
					}
				}
			?>
			</select>
			</td>
			</tr>
			
			<tr valign="top">
			<th scope="row">Show service status</th>
			<?php 
			$service_status = get_option('pak_sms_sender_show_service_status',false);
			$is_checked = "";
			if($service_status == true)
			{
				$is_checked = "checked";
			}
			?>
			<td><input type="checkbox" name="pak_sms_sender_show_service_status" value="paksmsss" <?php print $is_checked;?>/></td>
			</tr>
			</table>
			<?php 
			submit_button();
			print '</form>';
			print '</div>';
	}
}
?>